首页 新闻 搜索 专区 学院

java,现在开发项目ssh一般用什么版本

0
悬赏园豆:10 [已解决问题] 解决于 2012-07-16 10:05

去年开发的时候用的ssh版本是Struts2.1,Spring2.5,Hibernate3.1,好长时间没有做ssh框架的开发了,不知道现在都用什么版本的在开发,到网上一查一大堆,什么组合都有,不知道那种的最稳定的,想知道现在开发一般都用什么版本的,和以前的版本有什么区别?

随意而安的冰的主页 随意而安的冰 | 初学一级 | 园豆:193
提问于:2012-06-27 15:08
< >
分享
最佳答案
1

推荐使用Struts2+Spring3+Hibernate4,现在很多公司里面都是这样的组合

不过如果你知道这些框架的运行原理的话,不妨自己写一个这样的框架,因为这些框架有很多jar包里面的东西我们都用不到,自己写的特点:轻巧,灵活。。。。。当然这只是个人的观点...仅供参考.....希望采纳

同时希望大家多多交流:hongtenzone@foxmail.com

收获园豆:10
Hongten | 小虾三级 |园豆:1768 | 2012-07-15 23:25
其他回答(2)
0

这个问题应该不大吧

发表是最好的记忆 | 园豆:286 (菜鸟二级) | 2012-07-02 10:33
0

现在比较好的组合是 spring3+struts2+Hibernate4和spring3+spring mvc3+Hibernate4

建议的做法spring3+struts2+JPA2.0(Hibernate4提供实现)和spring3+spring mvc3+JPA2.0(Hibernate4提供实现)

CN.programmer.Luxh | 园豆:362 (菜鸟二级) | 2012-07-08 00:02
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册